INTERFACE
SUBROUTINE CUMASTRN2&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDLAND, LDRAIN1D, PTSPHY,&
 & PTEN, PQEN, PUEN, PVEN,&
 & PVERVEL, PQSEN, PQHFL, PAHFS,&
 & PAP, PAPH, PGEO, PGEOH,&
 & PTENT, PTENQ, PTENU, PTENV,&
 & LDCUM, KTYPE, KCBOT, KCTOP,&
 & KBOTSC, LDSC,&
 & PTU, PQU, PLU, PLUDE,&
 & PENTH, PMFLXR, PMFLXS, PRAIN,&
 & PMFU, PMFD,&
 & PMFUDE_RATE, PMFDDE_RATE, PCAPE,&
 & KTRAC, PCEN, PTENC, PSCAV ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
LOGICAL ,INTENT(IN) :: LDRAIN1D
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEN(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCAV(KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
LOGICAL ,INTENT(OUT) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOTSC(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PENTH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXR(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAIN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUDE_RATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFDDE_RATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(KLON)
END SUBROUTINE CUMASTRN2
END INTERFACE
